## AgsTurtle

AgsTurtle — Terse RDF Triple Language

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_TURTLE_GET_OBJ_MUTEX()
gchar * | ags_turtle_read_iriref ()
gchar * | ags_turtle_read_pname_ns ()
gchar * | ags_turtle_read_pname_ln ()
gchar * | ags_turtle_read_blank_node_label ()
gchar * | ags_turtle_read_langtag ()
gboolean | ags_turtle_match_iriref ()
gboolean | ags_turtle_match_pname_ns ()
gboolean | ags_turtle_match_pname_ln ()
gboolean | ags_turtle_match_blank_node_label ()
gboolean | ags_turtle_match_langtag ()
gchar * | ags_turtle_read_boolean ()
gchar * | ags_turtle_read_integer ()
gchar * | ags_turtle_read_decimal ()
gchar * | ags_turtle_read_double ()
gchar * | ags_turtle_read_exponent ()
gboolean | ags_turtle_match_boolean ()
gboolean | ags_turtle_match_integer ()
gboolean | ags_turtle_match_decimal ()
gboolean | ags_turtle_match_double ()
gboolean | ags_turtle_match_exponent ()
gchar * | ags_turtle_read_string ()
gboolean | ags_turtle_match_string ()
gchar * | ags_turtle_read_string_literal_quote ()
gchar * | ags_turtle_read_string_literal_single_quote ()
gchar * | ags_turtle_read_string_literal_long_quote ()
gchar * | ags_turtle_read_string_literal_long_single_quote ()
gboolean | ags_turtle_match_string_literal_quote ()
gboolean | ags_turtle_match_string_literal_single_quote ()
gboolean | ags_turtle_match_string_literal_long_quote ()
gboolean | ags_turtle_match_string_literal_long_single_quote ()
gchar * | ags_turtle_read_uchar ()
gchar * | ags_turtle_read_echar ()
gchar * | ags_turtle_read_ws ()
gchar * | ags_turtle_read_anon ()
gchar * | ags_turtle_read_pn_chars_base ()
gchar * | ags_turtle_read_pn_chars_u ()
gchar * | ags_turtle_read_pn_chars ()
gchar * | ags_turtle_read_pn_prefix ()
gchar * | ags_turtle_read_pn_local ()
gchar * | ags_turtle_read_plx ()
gchar * | ags_turtle_read_percent ()
gchar * | ags_turtle_read_hex ()
gchar * | ags_turtle_read_pn_local_esc ()
gboolean | ags_turtle_match_uchar ()
gboolean | ags_turtle_match_echar ()
gboolean | ags_turtle_match_ws ()
gboolean | ags_turtle_match_anon ()
gboolean | ags_turtle_match_pn_chars_base ()
gboolean | ags_turtle_match_pn_chars_u ()
gboolean | ags_turtle_match_pn_chars ()
gboolean | ags_turtle_match_pn_prefix ()
gboolean | ags_turtle_match_pn_local ()
gboolean | ags_turtle_match_plx ()
gboolean | ags_turtle_match_percent ()
gboolean | ags_turtle_match_hex ()
gboolean | ags_turtle_match_pn_local_esc ()
GList * | ags_turtle_find_xpath ()
GList * | ags_turtle_find_xpath_with_context_node ()
gchar * | ags_turtle_string_convert ()
xmlDoc * | ags_turtle_load ()
AgsTurtle * | ags_turtle_new ()

## Properties

char * | filename | Read / Write
gpointer | xml-doc | Read / Write

## Types and Values

#define | AGS_TURTLE_DEFAULT_ENCODING
#define | AGS_TURTLE_DEFAULT_VERSION
#define | AGS_TURTLE_BOOLEAN_LITERAL_TRUE
#define | AGS_TURTLE_BOOLEAN_LITERAL_FALSE
enum | AgsTurtleFlags

## Object Hierarchy

        GFlags
        ╰── AgsTurtleFlags
        GObject
        ╰── AgsTurtle

## Includes

    #include <ags/lib/ags_turtle.h>

## Description

The AgsTurtle object converts Terse RDF Triple Language files into XML.

## Functions

### AGS_TURTLE_GET_OBJ_MUTEX()

    #define AGS_TURTLE_GET_OBJ_MUTEX(obj) (&(((AgsTurtle *) obj)->obj_mutex))

### ags_turtle_read_iriref ()

    gchar *
    ags_turtle_read_iriref (gchar *offset,
                            gchar *end_ptr);

Read iriref value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_read_pname_ns ()

    gchar *
    ags_turtle_read_pname_ns (gchar *offset,
                              gchar *end_ptr);

Read prefixed-name namespace value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_read_pname_ln ()

    gchar *
    ags_turtle_read_pname_ln (gchar *offset,
                              gchar *end_ptr);

Read prefixed-name localized name value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_read_blank_node_label ()

    gchar *
    ags_turtle_read_blank_node_label (gchar *offset,
                                      gchar *end_ptr);

Read blank node label value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_read_langtag ()

    gchar *
    ags_turtle_read_langtag (gchar *offset,
                             gchar *end_ptr);

Read langtag value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_match_iriref ()

    gboolean
    ags_turtle_match_iriref (gchar *offset,
                             gchar *end_ptr,
                             gchar **start_offset,
                             gchar **end_offset);

Match iriref.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_match_pname_ns ()

    gboolean
    ags_turtle_match_pname_ns (gchar *offset,
                               gchar *end_ptr,
                               gchar **start_offset,
                               gchar **end_offset);

Match match pname-ns.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_match_pname_ln ()

    gboolean
    ags_turtle_match_pname_ln (gchar *offset,
                               gchar *end_ptr,
                               gchar **start_offset,
                               gchar **end_offset);

Match pname-ln.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_match_blank_node_label ()

    gboolean
    ags_turtle_match_blank_node_label (gchar *offset,
                                       gchar *end_ptr,
                                       gchar **start_offset,
                                       gchar **end_offset);

Match blank node label.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_match_langtag ()

    gboolean
    ags_turtle_match_langtag (gchar *offset,
                              gchar *end_ptr,
                              gchar **start_offset,
                              gchar **end_offset);

Match langtag.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_read_boolean ()

    gchar *
    ags_turtle_read_boolean (gchar *offset,
                             gchar *end_ptr);

Read boolean value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_read_integer ()

    gchar *
    ags_turtle_read_integer (gchar *offset,
                             gchar *end_ptr);

Read integer value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_read_decimal ()

    gchar *
    ags_turtle_read_decimal (gchar *offset,
                             gchar *end_ptr);

Read decimal value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_read_double ()

    gchar *
    ags_turtle_read_double (gchar *offset,
                            gchar *end_ptr);

Read double value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_read_exponent ()

    gchar *
    ags_turtle_read_exponent (gchar *offset,
                              gchar *end_ptr);

Read exponent value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_match_boolean ()

    gboolean
    ags_turtle_match_boolean (gchar *offset,
                              gchar *end_ptr,
                              gchar **start_offset,
                              gchar **end_offset);

Match boolean.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_match_integer ()

    gboolean
    ags_turtle_match_integer (gchar *offset,
                              gchar *end_ptr,
                              gchar **start_offset,
                              gchar **end_offset);

Match integer.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_match_decimal ()

    gboolean
    ags_turtle_match_decimal (gchar *offset,
                              gchar *end_ptr,
                              gchar **start_offset,
                              gchar **end_offset);

Match decimal.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_match_double ()

    gboolean
    ags_turtle_match_double (gchar *offset,
                             gchar *end_ptr,
                             gchar **start_offset,
                             gchar **end_offset);

Match double.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_match_exponent ()

    gboolean
    ags_turtle_match_exponent (gchar *offset,
                               gchar *end_ptr,
                               gchar **start_offset,
                               gchar **end_offset);

Match exponent.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_read_string ()

    gchar *
    ags_turtle_read_string (gchar *offset,
                            gchar *end_ptr);

Read string value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_match_string ()

    gboolean
    ags_turtle_match_string (gchar *offset,
                             gchar *end_ptr,
                             gchar **start_offset,
                             gchar **end_offset);

Match string.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_read_string_literal_quote ()

    gchar *
    ags_turtle_read_string_literal_quote (gchar *offset,
                                          gchar *end_ptr);

Read string literal quote value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_read_string_literal_single_quote ()

    gchar *
    ags_turtle_read_string_literal_single_quote
                                   (gchar *offset,
                                    gchar *end_ptr);

Read string literal single quote value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_read_string_literal_long_quote ()

    gchar *
    ags_turtle_read_string_literal_long_quote
                                   (gchar *offset,
                                    gchar *end_ptr);

Read string literal long quote value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_read_string_literal_long_single_quote ()

    gchar *
    ags_turtle_read_string_literal_long_single_quote
                                   (gchar *offset,
                                    gchar *end_ptr);

Read string literal long single quote value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_match_string_literal_quote ()

    gboolean
    ags_turtle_match_string_literal_quote (gchar *offset,
                                           gchar *end_ptr,
                                           gchar **start_offset,
                                           gchar **end_offset);

Match string literal quote.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_match_string_literal_single_quote ()

    gboolean
    ags_turtle_match_string_literal_single_quote
                                   (gchar *offset,
                                    gchar *end_ptr,
                                    gchar **start_offset,
                                    gchar **end_offset);

Match string literal single quote.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_match_string_literal_long_quote ()

    gboolean
    ags_turtle_match_string_literal_long_quote
                                   (gchar *offset,
                                    gchar *end_ptr,
                                    gchar **start_offset,
                                    gchar **end_offset);

Match string literal long quote.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_match_string_literal_long_single_quote ()

    gboolean
    ags_turtle_match_string_literal_long_single_quote
                                   (gchar *offset,
                                    gchar *end_ptr,
                                    gchar **start_offset,
                                    gchar **end_offset);

Match string literal long single quote.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_read_uchar ()

    gchar *
    ags_turtle_read_uchar (gchar *offset,
                           gchar *end_ptr);

Read uchar value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_read_echar ()

    gchar *
    ags_turtle_read_echar (gchar *offset,
                           gchar *end_ptr);

Read echar value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_read_ws ()

    gchar *
    ags_turtle_read_ws (gchar *offset,
                        gchar *end_ptr);

Read ws value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_read_anon ()

    gchar *
    ags_turtle_read_anon (gchar *offset,
                          gchar *end_ptr);

Read anon value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_read_pn_chars_base ()

    gchar *
    ags_turtle_read_pn_chars_base (gchar *offset,
                                   gchar *end_ptr);

Read prefixed-name chars base value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_read_pn_chars_u ()

    gchar *
    ags_turtle_read_pn_chars_u (gchar *offset,
                                gchar *end_ptr);

Read prefixed-name chars underscore value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_read_pn_chars ()

    gchar *
    ags_turtle_read_pn_chars (gchar *offset,
                              gchar *end_ptr);

Read prefixed-name chars value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_read_pn_prefix ()

    gchar *
    ags_turtle_read_pn_prefix (gchar *offset,
                               gchar *end_ptr);

Read prefixe-name prefix value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_read_pn_local ()

    gchar *
    ags_turtle_read_pn_local (gchar *offset,
                              gchar *end_ptr);

Read prefixed-name local value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_read_plx ()

    gchar *
    ags_turtle_read_plx (gchar *offset,
                         gchar *end_ptr);

Read plx value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_read_percent ()

    gchar *
    ags_turtle_read_percent (gchar *offset,
                             gchar *end_ptr);

Read percent value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_read_hex ()

    gchar *
    ags_turtle_read_hex (gchar *offset,
                         gchar *end_ptr);

Read hex value.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_read_pn_local_esc ()

    gchar *
    ags_turtle_read_pn_local_esc (gchar *offset,
                                  gchar *end_ptr);

Read prefixed name local escapes.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |

#### Returns

a string on success otherwise `NULL`.

[transfer full]

Since: 3.0.0

### ags_turtle_match_uchar ()

    gboolean
    ags_turtle_match_uchar (gchar *offset,
                            gchar *end_ptr,
                            gchar **start_offset,
                            gchar **end_offset);

Match uchar.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_match_echar ()

    gboolean
    ags_turtle_match_echar (gchar *offset,
                            gchar *end_ptr,
                            gchar **start_offset,
                            gchar **end_offset);

Match echar.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_match_ws ()

    gboolean
    ags_turtle_match_ws (gchar *offset,
                         gchar *end_ptr,
                         gchar **start_offset,
                         gchar **end_offset);

Match ws.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_match_anon ()

    gboolean
    ags_turtle_match_anon (gchar *offset,
                           gchar *end_ptr,
                           gchar **start_offset,
                           gchar **end_offset);

Match anon.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_match_pn_chars_base ()

    gboolean
    ags_turtle_match_pn_chars_base (gchar *offset,
                                    gchar *end_ptr,
                                    gchar **start_offset,
                                    gchar **end_offset);

Match pn chars base.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_match_pn_chars_u ()

    gboolean
    ags_turtle_match_pn_chars_u (gchar *offset,
                                 gchar *end_ptr,
                                 gchar **start_offset,
                                 gchar **end_offset);

Match pn chars u.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_match_pn_chars ()

    gboolean
    ags_turtle_match_pn_chars (gchar *offset,
                               gchar *end_ptr,
                               gchar **start_offset,
                               gchar **end_offset);

Match pn chars.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_match_pn_prefix ()

    gboolean
    ags_turtle_match_pn_prefix (gchar *offset,
                                gchar *end_ptr,
                                gchar **start_offset,
                                gchar **end_offset);

Match pn prefix.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_match_pn_local ()

    gboolean
    ags_turtle_match_pn_local (gchar *offset,
                               gchar *end_ptr,
                               gchar **start_offset,
                               gchar **end_offset);

Match uchar.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_match_plx ()

    gboolean
    ags_turtle_match_plx (gchar *offset,
                          gchar *end_ptr,
                          gchar **start_offset,
                          gchar **end_offset);

Match plx.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_match_percent ()

    gboolean
    ags_turtle_match_percent (gchar *offset,
                              gchar *end_ptr,
                              gchar **start_offset,
                              gchar **end_offset);

Match percent.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_match_hex ()

    gboolean
    ags_turtle_match_hex (gchar *offset,
                          gchar *end_ptr,
                          gchar **start_offset,
                          gchar **end_offset);

Match hex.

#### Parameters

offset | the string pointer |
end_ptr | the end of `offset` |
start_offset | points to start offset of matched, otherwise `NULL`. | [out][transfer none]
end_offset | points to end offset of matched, otherwise `NULL`. | [out][transfer none]

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.2.12

### ags_turtle_match_pn_local_esc ()

    gboolean
    ags_turtle_match_pn_local_esc (gchar *offset,
                                   gchar *end_ptr,
                                   gchar **start_offset,
                                   gchar **end_offset);

### ags_turtle_find_xpath ()

    GList *
    ags_turtle_find_xpath (AgsTurtle *turtle,
                           gchar *xpath);

Lookup XPath expression withing `turtle` .

#### Parameters

turtle | the AgsTurtle |
xpath | a XPath expression as string |

#### Returns

a GList containing xmlNode.

[element-type libxml2.Node][transfer container]

Since: 3.0.0

### ags_turtle_find_xpath_with_context_node ()

    GList *
    ags_turtle_find_xpath_with_context_node
                                   (AgsTurtle *turtle,
                                    gchar *xpath,
                                    xmlNode *context_node);

Lookup XPath expression from `context_node` withing `turtle` .

#### Parameters

turtle | the AgsTurtle |
xpath | a XPath expression as string |
context_node | a xmlNode |

#### Returns

a GList containing xmlNode.

[element-type libxml2.Node][transfer container]

Since: 3.0.0

### ags_turtle_string_convert ()

    gchar *
    ags_turtle_string_convert (AgsTurtle *turtle,
                               gchar *str);

### ags_turtle_load ()

    xmlDoc *
    ags_turtle_load (AgsTurtle *turtle,
                     GError **error);

Loads a RDF triple file into an XML Document.

#### Parameters

turtle | the AgsTurtle |
error | a pointer to a GError |

#### Returns

a xmlDoc pointer.

[transfer none]

Since: 3.0.0

### ags_turtle_new ()

    AgsTurtle *
    ags_turtle_new (gchar *filename);

Instantiate a new AgsTurtle.

#### Parameters

filename | the filename as string. | [nullable]

#### Returns

the new instance

Since: 3.0.0

## Types and Values

### AGS_TURTLE_DEFAULT_ENCODING

    #define AGS_TURTLE_DEFAULT_ENCODING "UTF-8"

### AGS_TURTLE_DEFAULT_VERSION

    #define AGS_TURTLE_DEFAULT_VERSION "6.3.2"

### AGS_TURTLE_BOOLEAN_LITERAL_TRUE

    #define AGS_TURTLE_BOOLEAN_LITERAL_TRUE "true"

### AGS_TURTLE_BOOLEAN_LITERAL_FALSE

    #define AGS_TURTLE_BOOLEAN_LITERAL_FALSE "false"

### enum AgsTurtleFlags

Enum values to control the behavior or indicate internal state of AgsTurtle by enable/disable as sync_flags.

#### Members

AGS_TURTLE_TOLOWER | make all tags and attributes lower case |

## Property Details

### The `“filename”` property

      “filename”                 char *

The assigned filename.

Owner: AgsTurtle

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“xml-doc”` property

      “xml-doc”                  gpointer

The assigned xml-doc.

Owner: AgsTurtle

Flags: Read / Write

Since: 3.0.0